{% load i18n %}
{% load data_filters %}

{% if filter %}
<!-- <div id="dd">Dialog Content.</div> -->
  <div style="height:36px;">
    <span style="float:left; font-size:10pt; margin-top:6px; margin-left:6px;">
        <b>Filter By:&nbsp;&nbsp;</b>
    </span>
    {% for filter_name, filter_value in filter.items %}
        {% if filter_name == 'Area' %}
        <span class="nav">
            <li>
                <a href="" class="easyui-linkbutton" iconCls="icon-search" plain="false">
                {{ filter_name }}</a>
            <ul style="width:120px;">
                <li class="selected">
                    <a href="{% url 'filter' model_name app_name filter_name|lower 'all' %}">All</a>
                </li>
                {% for value in filter_value|get_six_data %}
                <li>
                    <a href="{% url 'filter' model_name app_name filter_name|lower value.id %}">{{ value.area_name }}</a>
                </li>
                {% ifequal forloop.counter  6 %}
                <li>
                    <a href = "javascript:void(0);" onclick="more('{{ filter_name }}');">More...</a>
                    <div id="{{ filter_name }}_more" style="display:none">
                        <input type="text" id="{{ filter_name }}_input" placeholder="Please input to search" onkeyup="SelectTip('{{ filter_name }}', 0)" onclick="SelectTip('{{ filter_name }}', 1)" />
                    <span id="{{ filter_name }}demo">
                        <select id="{{ filter_name }}_moredata" size="12" style="width: 215px;" onChange=javascript:window.location.href=this.options[this.selectedIndex].value>
                        {% for value in filter_value %}
                            <option value="{% url 'filter' model_name app_name filter_name|lower value.id %}" style="font-size: 100%">{{ value.company.company_name }} | {{ value.area_name }}</option>
                        {% endfor %}
                        </select>
                    </span>
                    </div>
                </li>
                {% endifequal %}
                {% endfor %}
            </ul>
            </li>
        </span>
        {% elif filter_name == 'Company' %}
        <span class="nav">
            <li >
                <a href="" class="easyui-linkbutton" iconCls="icon-search" plain="false">
                {{ filter_name }}</a>
            <ul style="width:140px;">
                <li class="selected">
                    <a href="{% url 'filter' model_name app_name filter_name|lower 'all' %}">All</a>
                </li>
                {% for value in filter_value|get_six_data %}
                <li>
                    <a href="{% url 'filter' model_name app_name filter_name|lower value.id %}">{{ value.company_name }}</a>
                </li>
                {% ifequal forloop.counter  6 %}
                <li>
                    <a href = "javascript:void(0);" onclick="more('{{ filter_name }}');">More...</a>
                    <div id="{{ filter_name }}_more" style="display:none">
                        <input type="text" id="{{ filter_name }}_input" placeholder="Please input to search" onkeyup="SelectTip('{{ filter_name }}', 0)" onclick="SelectTip('{{ filter_name }}', 1)" />
                    <span id="{{ filter_name }}demo">
                        <select id="{{ filter_name }}_moredata" size="12" style="width: 215px;" onChange=javascript:window.location.href=this.options[this.selectedIndex].value>
                        {% for value in filter_value %}
                            <option value="{% url 'filter' model_name app_name filter_name|lower value.id %}" style="font-size: 100%">{{ value.company_name }}</option>
                        {% endfor %}
                        </select>
                    </span>
                    </div>
                </li>
                {% endifequal %}
                {% endfor %}
            </ul>
            </li>
        </span>
        {% elif filter_name == 'Device' %}
        <span class="nav">
            <li >
                <a href="" class="easyui-linkbutton" iconCls="icon-search" plain="false">
                {{ filter_name }}</a>
            <ul style="width:120px;">
                <li class="selected">
                    <a href="{% url 'filter' model_name app_name filter_name|lower 'all' %}">All</a>
                </li>
                {% for value in filter_value|get_queryset %}
                    <li>
                        <a href="{% url 'filter' model_name app_name filter_name|lower value.id %}">{{ value.sn }}</a>
                    </li>
                {% endfor %}
                <li>
                    <a href = "javascript:void(0);" onclick="more('{{ filter_name }}');">More...</a>
                    <div id="{{ filter_name }}_more" style="display:none">
                        <input type="text" id="{{ filter_name }}_input" placeholder="Please input to search" onkeyup="SelectTip('{{ filter_name }}', 0)" onclick="SelectTip('{{ filter_name }}', 1)" />
                    <span id="{{ filter_name }}demo">
                        <select id="{{ filter_name }}_moredata" size="12" style="width: 215px;" onChange=javascript:window.location.href=this.options[this.selectedIndex].value>
                        {% for value in filter_value|get_queryset_all %}
                            <option value="{% url 'filter' model_name app_name filter_name|lower value.id %}" style="font-size: 100%">{{ value.sn }}</option>
                        {% endfor %}
                        </select>
                    </span>
                    </div>
                </li>
            </ul>
            </li>
        </span>
        {% elif filter_name == 'Department' %}
        <span class="nav">
            <li>
                <a href="" class="easyui-linkbutton" iconCls="icon-search" plain="false">
                {{ filter_name }}</a>
            <ul style="width:150px;">
                <li class="selected">
                    <a href="{% url 'filter' model_name app_name filter_name|lower 'all' %}">All</a>
                </li>
                {% for value in filter_value|get_six_data %}
                <li>
                    <a href="{% url 'filter' model_name app_name filter_name|lower value.id %}">{{ value.depart_name }}</a>
                </li>
                {% ifequal forloop.counter  6 %}
                <li>
                    <a href = "javascript:void(0);" onclick="more('{{ filter_name }}');">More...</a>
                    <div id="{{ filter_name }}_more" style="display:none">
                        <input type="text" id="{{ filter_name }}_input" placeholder="Please input to search" onkeyup="SelectTip('{{ filter_name }}', 0)" onclick="SelectTip('{{ filter_name }}', 1)" />
                    <span id="{{ filter_name }}demo">
                        <select id="{{ filter_name }}_moredata" size="12" style="width: 215px;" onChange=javascript:window.location.href=this.options[this.selectedIndex].value>
                        {% for value in filter_value %}
                            <option value="{% url 'filter' model_name app_name filter_name|lower value.id %}" style="font-size: 100%">{{ value.depart_name }}</option>
                        {% endfor %}
                        </select>
                    </span>
                    </div>
                </li>
                {% endifequal%}
                {% endfor %}
            </ul>
            </li>
        </span>
        {% elif filter_name == 'Employee' %}
        <span class="nav">
            <li>
                <a href="" class="easyui-linkbutton" iconCls="icon-search" plain="false">
                {{ filter_name }}</a>
            <ul style="width:120px;">
                <li class="selected">
                    <a href="{% url 'filter' model_name app_name filter_name|lower 'all' %}">All</a>
                </li>
                {% for value in filter_value|get_queryset %}
                <li>
                    <a href="{% url 'filter' model_name app_name filter_name|lower value.id %}">{{ value.pin }}</a>
                </li>
                {% endfor %}
                <li>
                    <a href = "javascript:void(0);" onclick="more('{{ filter_name }}');">More...</a>
                    <div id="{{ filter_name }}_more" style="display:none">
                        <input type="text" id="{{ filter_name }}_input" placeholder="Please input to search" onkeyup="SelectTip('{{ filter_name }}', 0)" onclick="SelectTip('{{ filter_name }}', 1)" />
                    <span id="{{ filter_name }}demo">
                        <select id="{{ filter_name }}_moredata" size="12" style="width: 215px;" onChange=javascript:window.location.href=this.options[this.selectedIndex].value>
                        {% for value in filter_value|get_queryset_all %}
                            <option value="{% url 'filter' model_name app_name filter_name|lower value.id %}" style="font-size: 100%">{{ value.pin }}</option>
                        {% endfor %}
                        </select>
                    </span>
                    </div>
                </li>
            </ul>
            </li>
        </span>
        {% elif filter_name == 'User' %}
        <span class="nav">
            <li>
                <a href="" class="easyui-linkbutton" iconCls="icon-search" plain="false">
                {{ filter_name }}</a>
            <ul style="width:120px;">
                <li class="selected">
                    <a href="{% url 'filter' model_name app_name filter_name|lower 'all' %}">All</a>
                </li>
                {% for value in filter_value|get_queryset %}
                <li>
                    <a href="{% url 'filter' model_name app_name filter_name|lower value.id %}">{{ value.username }}</a>
                </li>
                {% ifequal forloop.counter  6 %}
                <li>
                    <a href = "javascript:void(0);" onclick="more('{{ filter_name }}');">More...</a>
                    <div id="{{ filter_name }}_more" style="display:none">
                        <input type="text" id="{{ filter_name }}_input" placeholder="Please input to search" onkeyup="SelectTip('{{ filter_name }}', 0)" onclick="SelectTip('{{ filter_name }}', 1)" />
                    <span id="{{ filter_name }}_span">
                        <select id="{{ filter_name }}_moredata" size="12" style="width: 215px;" onChange=javascript:window.location.href=this.options[this.selectedIndex].value>
                        {% for value in filter_value|get_queryset_all %}
                            <option value="{% url 'filter' model_name app_name filter_name|lower value.id %}" style="font-size: 100%">{{ value.username }}</option>
                        {% endfor %}
                        </select>
                    </span>
                    </div>
                </li>
                {% endifequal %}
                {% endfor %}
            </ul>
            </li>
        </span>
        {% elif filter_name == 'Device SN' %}
        <span class="nav">
            <li>
                <a href = "javascript:void(0);" onclick="more('{{ filter_name }}');" class="easyui-linkbutton" iconCls="icon-search" plain="false">
                {{ filter_name }}</a>
                <li>
                    <div id="{{ filter_name }}_more" style="display:none">
                        <input type="text" id="{{ filter_name }}_input" placeholder="Please input to search" onkeyup="SelectTip('{{ filter_name }}', 0)" onclick="SelectTip('{{ filter_name }}', 1)" />
                    <span id="{{ filter_name }}demo">
                        <select id="{{ filter_name }}_moredata" size="12" style="width: 215px;" onChange=javascript:window.location.href=this.options[this.selectedIndex].value>
                        <option value="{% url 'realtime_monitor' %}" style="font-size: 100%">All</option>
                        {% for value in filter_value %}
                            <option value="{% url 'realtime_monitor' %}?sn={{ value.sn }}" style="font-size: 100%">{{ value.sn }}</option>
                        {% endfor %}
                        </select>
                    </span>
                    </div>
                </li>
            </ul>
            </li>
        </span>
        {% else %}
        <span class="nav">
            <li>
                <a href="" class="easyui-linkbutton" iconCls="icon-search" plain="false">
                {{ filter_name }}</a>
            <ul style="width:120px;">
                {% for value in filter_value|get_six_data %}
                <li>
                    <a href="{% url 'filter' model_name app_name filter_name|lower|convert value|get_operation_url %}">{{ value|get_operation_name }}</a>
                </li>
                {% ifequal forloop.counter  6 %}
                <li>
                    <a href = "javascript:void(0);" onclick="more('{{ filter_name }}');">More...</a>
                    <div id="{{ filter_name }}_more" style="display:none">
                        <input type="text" id="{{ filter_name }}_input" placeholder="Please input to search" onkeyup="SelectTip('{{ filter_name }}', 0)" onclick="SelectTip('{{ filter_name }}', 1)" />
                    <span id="{{ filter_name }}demo">
                        <select id="{{ filter_name }}_moredata" size="12" style="width: 215px;" onChange=javascript:window.location.href=this.options[this.selectedIndex].value>
                        {% for value in filter_value %}
                            <option value="{% url 'filter' model_name app_name filter_name|lower|convert value|get_operation_url %}" style="font-size: 100%">{{ value|get_operation_name }}</option>
                        {% endfor %}
                        </select>
                    </span>
                    </div>
                </li>
                {% endifequal %}
                {% endfor %}
            </ul>
            </li>
        </span>
        {% endif %}
    {% endfor %}
  </div>
{% else %}
  <div>
    <br>
  </div>
{% endif %}

<script>

var TempArr = []

function SelectTip(model_name, flag)  //模糊查询数据函数
{
    id = model_name + '_input'
    id1 = model_name + 'demo'
    var TxtObj = document.getElementById(id)
    var SelectObj = document.getElementById(id1)
    var Arr = []
    with (SelectObj) {
        var SelectHTML = innerHTML.match(/<[^>]*>/)[0]
        for (i = 0; i < TempArr.length; i++)
            if (TempArr[i][0].indexOf(TxtObj.value) >= 0 || flag)// 若找到以txt的内容开头的，添option。若flag为true,对下拉框初始化
                Arr[Arr.length] = "<option value='" + TempArr[i][1] + "'>"
                        + TempArr[i][0] + "</option>"
        innerHTML = SelectHTML + Arr.join() + "</SELECT>"
    }
}

function more(model_name)  //弹出dialog窗口
{
    id = '#' + model_name + '_more'
    $(id).dialog({
        title: 'More...',
        width: 229,
        height: 280,
        closed: false,
        cache: false,
        // href: 'get_content.php',
        modal: true,
        // buttons:[{
        //         text:'Submit',
        //         // handler:function(){}
        //     },{
        //         text:'Cancel',
        //         // handler:function(){}
        //     }]
    });
    console.log('hello')

    //以下为查询数据做准备
    // var TempArr = [];// 存贮option
    id = model_name + '_moredata'
    var SelectObj = document.getElementById(id)
    /* 先将数据存入数组 */
    with (SelectObj){
        for (i = 0; i < length; i++){
            TempArr[i] = [ options[i].text, options[i].value ]
        }
    }
}

</script>